### A free/open-source library for quantitative finance

Classes | Functions
ql/instruments/cpiswap.hpp File Reference

zero-inflation-indexed-ratio-with-base swap More...

`#include <ql/instruments/swap.hpp>`
`#include <ql/time/calendar.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/time/schedule.hpp>`
`#include <ql/indexes/iborindex.hpp>`
`#include <ql/cashflows/cpicoupon.hpp>`
Include dependency graph for cpiswap.hpp:

## Classes

class | CPISwap
| zero-inflation-indexed swap, More...
class | CPISwap::arguments
| Arguments for swap calculation More...
class | CPISwap::results
| Results from swap calculation More...

## Functions

std::ostream & | operator<< (std::ostream &out, CPISwap::Type t)

## Detailed Description

zero-inflation-indexed-ratio-with-base swap